com.aliyun.svideosdk.crop

## Interface AliyunICrop

-     public interface AliyunICrop

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` 取消裁剪
    `void` | `dispose()` 释放资源
    `long` | `getVideoDuration(java.lang.String videoPath)` 获取视频时长
    `void` | `setCropCallback(CropCallback callback)` 设置裁剪回调
    `int` | `setCropParam(CropParam param)` 设置裁剪参数
    `void` | `setUseHW(boolean hwDecoder)` 打开或者关闭硬解码，默认打开
    `int` | `startCrop()` 开始裁剪
    `int` | `startCropAudio(java.lang.String inputPath, java.lang.String outputPath, long startTimeUs, long endTimeUs)` 裁剪音频
    `int` | `startCropAudio(java.lang.String inputPath, java.lang.String outputPath, long startTime, long endTime, java.util.concurrent.TimeUnit timeUnit)` 裁剪音频
    `java.lang.String` | `version()` 获取接口版本号

- - ### Method Detail

    - #### startCrop

          int startCrop()

      开始裁剪
      Returns:
        接口调用成功（并不一定是裁剪成功）返回0，失败返回对应的ErrorCode
      See Also:
        `CropCallback`

    - #### startCropAudio

          int startCropAudio(java.lang.String inputPath,
                             java.lang.String outputPath,
                             long startTimeUs,
                             long endTimeUs)

      裁剪音频
      Parameters:
        `startTimeUs` - 开始时间 单位:微秒
        `endTimeUs` - 结束时间 单位:微秒
      Returns:
        接口调用成功（并不一定是裁剪成功）返回0，失败返回对应的ErrorCode
      See Also:
        `CropCallback`

    - #### startCropAudio

          int startCropAudio(java.lang.String inputPath,
                             java.lang.String outputPath,
                             long startTime,
                             long endTime,
                             java.util.concurrent.TimeUnit timeUnit)

      裁剪音频

      v3.27.0新增

      Parameters:
        `startTime` - 开始时间
        `endTime` - 结束时间
        `timeUnit` - 时间单位
      Returns:
        接口调用成功（并不一定是裁剪成功）返回0，失败返回对应的ErrorCode
      See Also:
        `CropCallback`

    - #### setCropParam

          int setCropParam(CropParam param)

      设置裁剪参数
      Parameters:
        `param` -
      See Also:
        `CropParam`

    - #### setUseHW

          void setUseHW(boolean hwDecoder)

      打开或者关闭硬解码，默认打开
      Parameters:
        `hwDecoder` - true 为打开

    - #### setCropCallback

          void setCropCallback(CropCallback callback)

      设置裁剪回调
      Parameters:
        `callback` -
      See Also:
        `CropCallback`

    - #### cancel

          void cancel()

      取消裁剪

    - #### dispose

          void dispose()

      释放资源

    - #### getVideoDuration

          long getVideoDuration(java.lang.String videoPath)
                         throws java.lang.Exception

      获取视频时长
      Parameters:
        `videoPath` -
      Returns:
        返回视频时长
      Throws:
        `java.lang.Exception`

    - #### version

          java.lang.String version()

      获取接口版本号
      Returns:
        返回版本信息